Skip to main content
GET
/
v1
/
{coin}
/
markets
/
{conditionId}
/
snapshots
List orderbook snapshots
curl --request GET \
  --url https://api.polyfeed.dev/v1/{coin}/markets/{conditionId}/snapshots
{
  "data": [
    {
      "id": "144276",
      "assetId": "5495016029564331188392385716358198584359445081928890082294653405230248717435",
      "conditionId": "0xa2975919d3bd4e58c307f30914de8dcb8b89807440ae7218ad7784cf8072b1f0",
      "symbol": "btc",
      "outcome": "down",
      "timeframe": "1h",
      "timestamp": "2026-05-12T17:58:31.225Z",
      "bids": [
        {
          "price": 0.01,
          "size": 27018
        },
        {
          "price": 0.02,
          "size": 84897
        },
        {
          "price": 0.5,
          "size": 1383
        }
      ],
      "asks": [
        {
          "price": 0.51,
          "size": 149.13
        },
        {
          "price": 0.52,
          "size": 251.15
        },
        {
          "price": 0.99,
          "size": 26023
        }
      ]
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://polyfeed.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

coin
string
required
conditionId
string
required

Query Parameters

from
integer
Required range: x >= 0
to
integer
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 1000
cursor
string
Minimum string length: 1
outcome
enum<string>
Available options:
up,
down

Response

200 - application/json

OK

data
object[]
required
nextCursor
string | null
required